/* general */

button {
    border: none;
}
.sn-notifications-container {
    z-index: 99999999999999999 !important;
}

/* general */


.auth-modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100dvh;
  z-index: 100000000;
}
.overlay {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  position: absolute;
  top: 0;
  left: 0;
}
.auth-modal {
  max-width: 505px;
  max-height: 505px;
  width: 100%;
  height: 100%;
  background-color: #fff;
  border-radius: 24px;
  position: relative;
}
.modal-close {
  z-index: 100000;
  position: absolute;
  width: 32px;
  height: 32px;
  top: 12px;
  right: -40px;
  color: #000;
  font-family: Arial;
  font-weight: 600;
  font-size: 32px;
  user-select: none;
  cursor: pointer;
  background-color: #242424;
  border-radius: 100%;
}
body:has(.auth-modal-right-zone:hover) .modal-close::before,
body:has(.auth-modal-right-zone:hover) .modal-close::after {
  background-color: rgba(255, 255, 255, 1);
}
.auth-modal-right-zone {
  position: absolute;
  background-color: #fff;
  height: 100%;
  width: calc((100% - (505px)) / 2);
  right: 0;
  opacity: 0;
  cursor: pointer;
}

.modal-close::before,
.modal-close::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.8);
  transition: all 0.3s ease;
}

.modal-close::before {
  transform: translate(-50%, -50%) rotate(45deg);
}

.modal-close::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}

.modal-close:hover::before,
.modal-close:hover::after {
  background-color: rgba(255, 255, 255, 1);
}

.modal {
  display: none;
}
.modal.active {
  display: flex;
}
.auth-trigger {
  cursor: pointer;
}
.auth-modal {
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.auth-modal-tabs {
  margin-top: 5px;
  position: relative;
  z-index: 1;
  display: flex;
  gap: 12px;
  padding-left: 7.5%;
}
.auth-modal-body:has(input[type="email"]) .modal-title {
  position: relative;
  top: 7.5px;
}
.modal-title {
  margin-top: calc(45px + 12px) !important;
}
.modal-title {
  margin-top: 45px;
  text-align: center;
  font-family: "Work Sans", Sans-serif;
  font-size: 32px;
  font-weight: 600;
  line-height: 1.1em;
  color: #000;
}
.auth-modal form {
  display: flex;
  flex-direction: column;
  position: relative;
}

.modal p,
.modal .first-button {
  margin-right: 15%;
  margin-left: 15%;
}
.modal .third-button {
  background-color: #fff;
  user-select: none;
}
.modal .third-button {
  border-radius: 15px !important;
}
.modal .first-button {
  border-radius: 10px !important;
}
.modal input {
  outline: none;
  border-radius: 10px;
  border: 1px solid #3E2EA0;
  padding: 15px 30px;
  margin-right: 15%;
  font-size: 13.33px;
  margin-left: 15%;
  margin-bottom: 20px;
  font-family: "Work Sans", Sans-serif;
  font-weight: 500;
}
.modal-hint {
  font-family: "Work Sans", Sans-serif;
  font-size: 12px;
}
.auth-modal-body {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  overflow: hidden;
}

.auth-modal {
  position: relative;
}
.modal-cookie {
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.modal-cookie::before {
  position: absolute;
  right: -65px;
  bottom: -125px;
  opacity: 0.15;
  pointer-events: none;
  content: url("/cookie.png");
  background-repeat: no-repeat;
}
body:has(.modal.active) {
  overflow: hidden;
  padding-right: var(--scrollbar-width);
}
/* buttons */

.first-button {
  cursor: pointer;
  background-color: transparent;
  font-family: "Roboto", Sans-serif;
  font-size: 17px;
  font-weight: 500;
  line-height: 15px;
  letter-spacing: 0.1px;
  fill: #fff;
  color: #fff;
  background-color: #3E2EA0;
  border: 1px solid #3E2EA0;
  border-radius: 50px 50px 50px 50px;
  padding: 14px 24px 14px 24px;
  text-decoration: none;
  transition: all .25s;
}
.first-button:hover {
  background-color: #fff;
  color: #3E2EA0;
}
.first-screen-buttons {
  gap: 10px;
}
.second-button,
.fourth-button {
  text-wrap: nowrap;
  text-align: center;
  cursor: pointer;
}
.second-button {
  text-wrap: nowrap;
  text-decoration: none;
  margin-right: 15px;
  color: #000000;
  border-color: #666;
  border-style: solid;
  border-width: 2px 2px 2px 2px;
  border-radius: 50px 50px 50px 50px;
  padding: 15px 30px 15px 30px;
  font-family: "Arial", Sans-serif;
  font-size: 17px;
  font-weight: 500;
  text-transform: capitalize;
  letter-spacing: 0.2px;
  background-color: transparent;
  background-image: linear-gradient(85deg, #a57ef5 0%, #ffc446 100%);
  transition: all 0.25s ease-in-out;
}
.second-button:hover {
  background-color: transparent;
  background-image: linear-gradient(85deg, #ffc446 0%, #a57ef5 100%);
}
.modal .third-button {
  padding: 9.5px 25px 9.5px 25px;
}
.modal .third-button:hover {
  background-color: #e8f0fe;
}
.third-button {
  text-decoration: none;
  background-color: #a57ef500;
  font-family: "Roboto", Sans-serif;
  font-size: 17px;
  font-weight: 500;
  letter-spacing: 0.2px;
  fill: #3E2EA0;
  color: #3E2EA0;
  border-style: solid;
  border-width: 2px 2px 2px 2px;
  border-color: #3E2EA0;
  border-radius: 50px 50px 50px 50px;
  padding: 15px 30px 15px 30px;
  cursor: pointer;
  transition: all 0.25s;
}
.third-button:hover {
  background-color: #302f2f;
}
.fourth-button {
  box-shadow: 2px 4px 16px 0px rgba(255, 255, 255, 0.12) inset;
  border-style: solid;
  border-width: 2px 2px 2px 2px;
  border-radius: 50px 50px 50px 50px;
  padding: 15px 30px 15px 30px;
  font-family: "Arial", Sans-serif;
  font-size: 17px;
  font-weight: 500;
  text-transform: capitalize;
  letter-spacing: 0.2px;
  text-decoration: none;
  border-color: #666;
  background-color: #302f2f;
  width: auto;
  color: #fff;
  transition: all 0.25s ease-in-out;
}
.fourth-button:hover {
  transition: all 0.25s ease-in-out;
  box-shadow: 2px 4px 32px 0px rgba(255, 255, 255, 0) inset; /*todo*/
}

/* buttons */

/* etc */
.modal .link {
  color: #3E2EA0;
  cursor: pointer;
}
.modal-hint {
  font-family: "Work Sans", Sans-serif;
  font-size: 12px;
  margin-top: 17px;
  text-align: center;
}

@media (max-width: 640px) {
    .modal .third-button {
        padding: 7.5px 30px 7.5px 30px;
    }



  .modal-title {
    font-size: 18pox;
  }
  .modal .third-button {
    padding: 7.5px 30px 7.5px 30px;
  }
  .auth-modal-tabs {
    flex-wrap: wrap;
  }
  .modal .first-button,
  .modal input {
    margin-right: 2.5% !important;
    margin-left: 2.5% !important;
  }
  .modal-close {
    top: -40px;
    right: -15px;
  }
  .auth-modal-body:has(input[type="email"]) .modal-title {
    position: unset;
    top: unset;
  }
  .auth-modal-tabs {
    margin-top: 0;
  }
  .modal-title {
    margin-top: 10px !important;
    margin-bottom: 10px;
    font-size: 18px;
  }
  .modal-hint {
    margin-right: 2.5% !important;
    margin-left: 2.5% !important;
  }

  .auth-modal-tabs {
    padding: 0;
  }
  .modal .third-button {
    width: 100%;
  }
  .auth-modal form {
    margin: 0;
  }
  .auth-modal-body:not(:has(input[type="email"])) {
    transform: translateY(15px);
  }
  .auth-modal-body:has(input[type="email"]) {
    transform: translateY(5px);
  }
  .auth-modal {
    width: 80%;
    gap: 0px;
    height: 85%;
    max-height: 600px;
  }
  .auth-modal-body {
    position: relative;
    overflow: unset;
  }
}
@media (max-width: 768px) {
    .first-button, .second-button, .third-button, .fourth-button {
        text-align: center;
    }
}
